> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flexxible.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Wi-Fi networks

> Returns a paginated list of Wi-Fi networks for the authorized organization (includes accessible delegated tenants). Aggregation not available on this endpoint.



## OpenAPI

````yaml /en/api-reference/openapi.en-v2.json get /v2/organizations/{organization_id}/wifi-networks
openapi: 3.0.3
info:
  title: API Publica Portal
  version: 1.0.0
  description: Public REST API for portal
servers:
  - url: https://api.flexxible.net/
    description: Portal API
security:
  - bearerAuth: []
tags:
  - name: Solve
    description: Flexxible Solve ticket visibility and management
  - name: Digital activity
    description: Core process group creation by organization
  - name: Locations
    description: Location management (FWS)
  - name: Roles
    description: Role creation endpoint for organization
  - name: Users
    description: User creation endpoint for organization
  - name: Workspace groups
    description: Management endpoints for workspace groups
  - name: Networks
    description: Network management (FWS)
  - name: WiFi Networks
    description: Wi-Fi network management (FWS)
  - name: Workspaces
    description: Workspace deletion endpoint for the organization
  - name: Event logs
    description: Workspace event logs query
  - name: Installed apps
    description: Installed application detail endpoint for the organization
  - name: Authentication
    description: Session context and authentication endpoints
  - name: Microservices
    description: Details of microservices by organization
  - name: Operations
    description: Detail queries for operations by organization
  - name: Organization
    description: Organization operations
  - name: Patch policy targets
    description: Patch policy objective management endpoints
  - name: Product configurations
    description: Product configuration management endpoints
  - name: Reporting Groups
    description: Operations on reporting groups
  - name: Sessions
    description: Session detail endpoint for the organization
  - name: Tenants
    description: Tenant management endpoints
  - name: Workspace Connection Logs
    description: Workspace connection logs query
  - name: Workspace GPO
    description: Query GPOs applied to a session
  - name: Workspace Notifications
    description: Workspace notifications query
paths:
  /v2/organizations/{organization_id}/wifi-networks:
    get:
      tags:
        - WiFi Networks
      summary: List Wi-Fi networks
      description: >-
        Returns a paginated list of Wi-Fi networks for the authorized
        organization (includes accessible delegated tenants). Aggregation not
        available on this endpoint.
      operationId: listWifiNetworks
      parameters:
        - name: organization_id
          in: path
          required: true
          schema:
            type: string
            pattern: ^[0-9a-f]{24}$
            minLength: 24
            maxLength: 24
          description: Organization identifier.
          example: 507f1f77bcf86cd799439011
        - name: page
          in: query
          required: false
          schema:
            type: integer
            default: 1
            minimum: 1
          description: Page number.
        - name: per_page
          in: query
          required: false
          schema:
            type: integer
            default: 100
            minimum: 1
            maximum: 100
          description: Number of items per page.
        - name: fields
          in: query
          required: false
          schema:
            type: string
            maxLength: 2048
          description: Response fields separated by commas for each element.
          example: id,ssid,network_id,source_workspace_id
        - name: filters
          in: query
          required: false
          schema:
            type: string
            maxLength: 5120
          description: >-
            JSON filter expression for filterable fields of the resource.
            source_workspace_id not filterable.
          examples:
            simple:
              summary: Filter by SSID
              value: '{"field":"ssid","op":"eq","value":"Guest-WiFi"}'
            complex-and:
              summary: Filter by related network
              value: >-
                {"field":"network_id","op":"eq","value":"a1b2c3d4-e5f6-7890-abcd-ef1234567890"}
        - name: sort
          in: query
          required: false
          schema:
            type: string
            pattern: ^([a-z_]+):(asc|desc)$
          description: >-
            Sorting expression with format <field>:asc|desc. Default ssid:asc.
            source_workspace_id not sortable.
          example: ssid:asc
      responses:
        '200':
          description: Wi-Fi networks retrieved successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListWifiNetworksResponseV2'
              examples:
                paginated_result:
                  summary: Paginated list with results
                  value:
                    has_next: false
                    data:
                      - id: d4e5f6a7-b8c9-0123-def0-234567890123
                        ssid: Guest-WiFi
                        organization_id: 507f1f77bcf86cd799439011
                        public_ip: 203.0.113.10
                        isp: Example ISP
                        city: Madrid
                        country: ES
                        is_reliable: true
                        source_workspace_id: 64f0c2a1b2d3e4f506070899
                        network_id: b2c3d4e5-f6a7-8901-bcde-f12345678901
        '400':
          description: Invalid request parameters.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Not authorized or without access to the organization.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Resource not found within the authorized organization.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '429':
          description: Rate limit exceeded.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    ListWifiNetworksResponseV2:
      type: object
      properties:
        has_next:
          type: boolean
          description: Indicates if there's a next page.
        data:
          type: array
          items:
            $ref: '#/components/schemas/WifiNetworkItemV2'
      required:
        - has_next
        - data
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
            code:
              type: string
            details:
              type: string
          required:
            - message
            - code
      required:
        - error
    WifiNetworkItemV2:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Identifier of the Wi‑Fi network (FWS WifiNetwork.Oid).
        ssid:
          type: string
          nullable: true
          description: The SSID of the Wi‑Fi network.
        organization_id:
          type: string
          nullable: true
          pattern: ^[0-9a-f]{24}$
          minLength: 24
          maxLength: 24
          description: Associated Portal organization Id.
        public_ip:
          type: string
          nullable: true
          description: Related public IP address.
        isp:
          type: string
          nullable: true
          description: Internet Service Provider of the related public IP.
        city:
          type: string
          nullable: true
          description: City associated with the public IP.
        country:
          type: string
          nullable: true
          description: Country associated with the public IP.
        is_reliable:
          type: boolean
          nullable: true
          description: Indicates if the Wi‑Fi network is marked as reliable.
        source_workspace_id:
          type: string
          nullable: true
          pattern: ^[0-9a-f]{24}$
          minLength: 24
          maxLength: 24
          description: >-
            Workspace Portal ID associated with the source device. Null if no
            match
        network_id:
          type: string
          format: uuid
          nullable: true
          description: Identifier of the related network (FWS Network.Oid).
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````